-- 《explain示例》
-- 切换数据库
use my_demo;

-- 添加索引,分别体验在没有索引、有索引的情况下查询的耗时
-- 添加product_name索引
ALTER TABLE tb_product
ADD INDEX idx_product_name (product_name)

-- 移除索引
ALTER TABLE tb_product
DROP INDEX idx_product_name;

SELECT * FROM tb_product ORDER BY id desc 

-- 【EXPLAIN】
-- 分别添加索引和移除索引查看效果
SELECT * FROM tb_product WHERE product_name  ='维沃手机_0.4798907092585142';    -- 相对主键数据，排在比较靠尾的地方 
SELECT * FROM tb_product WHERE id =1769445;
EXPLAIN SELECT * FROM tb_product WHERE product_name  ='维沃手机_0.4798907092585142';
EXPLAIN SELECT * FROM tb_product WHERE id =1769445;