-- 《慢查询示例--模拟慢查询》
-- 【简单模拟慢查询】
select SLEEP(3);
select SLEEP(1);

-- 【实际表的慢查询】
-- 切换数据加
use my_demo;
-- 查询数据
select * from tb_product;
select count(1) from tb_product


-- 【插入示例数据】
-- 切换数据库
use database_2_more_data
-- 插入基础数据
INSERT INTO tb_product(product_code,product_name,quantity,price,city,description)
VALUES('tv','电视机',150,43.27,'长沙','这是一台计算机。');
INSERT INTO tb_product(product_code,product_name,quantity,price,city,description)
VALUES('iPhone','苹果手机',100,8999,'北京','这是一台苹果手机。');
INSERT INTO tb_product(product_code,product_name,quantity,price,city,description)
VALUES('xiaomi','小米手机',13,2999,'上海','这是一台小米手机。');
INSERT INTO tb_product(product_code,product_name,quantity,price,city,description)
VALUES('oppo','欧泊手机',70,2499,'广州','这是一台欧泊手机。');
INSERT INTO tb_product(product_code,product_name,quantity,price,city,description)
VALUES('vivo','维沃手机',98,2199,'深圳','这是一台维沃手机。');
INSERT INTO tb_product(product_code,product_name,quantity,price,city,description)
VALUES('tt','锤子手机',NULL,NULL,'上海','这是一台锤子手机。');
-- 动态插入更多测试数据
-- 先删除product_code唯一索引，才能动态添加数据
ALTER TABLE tb_product
DROP INDEX product_code
-- tb_product,多次执行，动态添加数据用于测试
INSERT INTO tb_product(product_code,product_name,quantity,price,city,description)
SELECT
    CONCAT(SUBSTRING_INDEX(product_code,'_',1),'_',RAND(current_timestamp())),
		CONCAT(SUBSTRING_INDEX(product_name,'_',1),'_',RAND(current_timestamp())),
    RAND(current_timestamp())*100,
		RAND(current_timestamp())*1000,
		city,
		CONCAT(SUBSTRING_INDEX(description,'_',1),'_',RAND(current_timestamp()))
FROM tb_product;



















-- 查看表锁
show open tables where in_use > 0;
SELECT * FROM INFORMATION_SCHEMA.INNODB_TRX;
KILL 221;
-- 释放表锁
flush tables;
flush tables with read lock;